"""Create base tables

Revision ID: 6b67f20ed0d4
Revises: 
Create Date: 2024-01-26 20:40:16.322911

"""
from typing import Sequence, Union

from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision: str = '6b67f20ed0d4'
down_revision: Union[str, None] = None
branch_labels: Union[str, Sequence[str], None] = None
depends_on: Union[str, Sequence[str], None] = None


def upgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('ips',
    sa.Column('id', sa.BINARY(length=16), nullable=False),
    sa.Column('ip', sa.VARBINARY(length=16), nullable=True),
    sa.PrimaryKeyConstraint('id'),
    sa.UniqueConstraint('ip')
    )
    op.create_table('ports',
    sa.Column('id', sa.BINARY(length=16), nullable=False),
    sa.Column('port', sa.Integer(), nullable=True),
    sa.Column('ip_id', sa.BINARY(length=16), nullable=True),
    sa.ForeignKeyConstraint(['ip_id'], ['ips.id'], ),
    sa.PrimaryKeyConstraint('id')
    )
    # ### end Alembic commands ###


def downgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_table('ports')
    op.drop_table('ips')
    # ### end Alembic commands ###
