import logging

from rich.logging import RichHandler

from portswatch.classes.settings import Settings

settings = Settings()


class Log:
    def __new__(self, name: str = "default", level: str = None):
        level = Log.get_level(level)
        log = logging.basicConfig(
            level=level,
            format="%(message)s %(module)s %(funcName)s",
            handlers=[RichHandler(rich_tracebacks=True)],
        )
        log = logging.getLogger(name=name)

        return log

    @staticmethod
    def uvicorn_log(level: str = None):
        return Log(name="uvicorn.access", level=level)

    @staticmethod
    def get_level(level: str = None):
        log_level_list = ["DEBUG", "INFO", "WARNING", "ERROR", "CRITICAL"]
        if hasattr(settings, "log_level"):
            level = settings.log_level.upper()
        if level not in log_level_list:
            level = "INFO"

        return level
