from datetime import datetime
from ipaddress import IPv4Address, IPv6Address

from pydantic import UUID4, BaseModel


class IPbaseModel(BaseModel):
    ip: IPv4Address | IPv6Address


class IPcreateModel(IPbaseModel):
    pass


class IPqueryModel(IPbaseModel):
    pass


class IPModel(IPbaseModel):
    id: UUID4
    ports: list = []
    unexpected_ports: list = []
    check_ports: list = []
    last_check_start: datetime = None
    last_check_end: datetime = None

    class Config:
        from_attributes = True

class IPbyIDqueryModel(BaseModel):
    id: UUID4
